<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::bluetoothImplementations::blueZ::PairingAgent Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations.html">bluetoothImplementations</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html">blueZ</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent.html">PairingAgent</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::bluetoothImplementations::blueZ::PairingAgent Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_pairing_agent_8h_source.html">PairingAgent.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::bluetoothImplementations::blueZ::PairingAgent:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent_inherit__map" id="alexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object.html" title="alexaClientSDK::bluetooth\lImplementations::blueZ\l::DBusObject\&lt; PairingAgent \&gt;" alt="" coords="5,105,205,157"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base.html" title="alexaClientSDK::bluetooth\lImplementations::blueZ\l::DBusObjectBase" alt="" coords="16,5,193,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::bluetoothImplementations::blueZ::PairingAgent:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent_coll__map" id="alexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object.html" title="alexaClientSDK::bluetooth\lImplementations::blueZ\l::DBusObject\&lt; PairingAgent \&gt;" alt="" coords="5,105,205,157"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base.html" title="alexaClientSDK::bluetooth\lImplementations::blueZ\l::DBusObjectBase" alt="" coords="16,5,193,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a58a2e2fda718f3419fcb35d231d6b09d"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent.html#a58a2e2fda718f3419fcb35d231d6b09d">~PairingAgent</a> ()</td></tr>
<tr class="memdesc:a58a2e2fda718f3419fcb35d231d6b09d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a58a2e2fda718f3419fcb35d231d6b09d">More...</a><br /></td></tr>
<tr class="separator:a58a2e2fda718f3419fcb35d231d6b09d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object.html">alexaClientSDK::bluetoothImplementations::blueZ::DBusObject&lt; PairingAgent &gt;</a></td></tr>
<tr class="memitem:abd42a1c0b95812d858471605ff95c2c8 inherit pub_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object.html#abd42a1c0b95812d858471605ff95c2c8">~DBusObject</a> ()=default</td></tr>
<tr class="separator:abd42a1c0b95812d858471605ff95c2c8 inherit pub_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base.html">alexaClientSDK::bluetoothImplementations::blueZ::DBusObjectBase</a></td></tr>
<tr class="memitem:a9af3a4d5d487a402a313d26f8e0749c5 inherit pub_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base.html#a9af3a4d5d487a402a313d26f8e0749c5">~DBusObjectBase</a> ()</td></tr>
<tr class="separator:a9af3a4d5d487a402a313d26f8e0749c5 inherit pub_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48b5bf0ef995b5bd1dab5d507211d22d inherit pub_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base.html#a48b5bf0ef995b5bd1dab5d507211d22d">registerWithDBus</a> ()</td></tr>
<tr class="separator:a48b5bf0ef995b5bd1dab5d507211d22d inherit pub_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a614d3a46320b4152a5939480e5651c7a inherit pub_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base.html#a614d3a46320b4152a5939480e5651c7a">unregisterObject</a> ()</td></tr>
<tr class="separator:a614d3a46320b4152a5939480e5651c7a inherit pub_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a4972af9f95b206e468bcf9c2c7c42686"><td class="memItemLeft" align="right" valign="top">static std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent.html">PairingAgent</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent.html#a4972af9f95b206e468bcf9c2c7c42686">create</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_connection.html">DBusConnection</a> &gt; connection)</td></tr>
<tr class="separator:a4972af9f95b206e468bcf9c2c7c42686"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object.html">alexaClientSDK::bluetoothImplementations::blueZ::DBusObject&lt; PairingAgent &gt;</a></td></tr>
<tr class="memitem:a68ab85d17ddd16b1a77a17b08f36bfd0 inherit pub_types_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object.html#a68ab85d17ddd16b1a77a17b08f36bfd0">commandHandler_t</a> = void(<a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent.html">PairingAgent</a> ::*)(GVariant *parameters, GDBusMethodInvocation *invocation)</td></tr>
<tr class="separator:a68ab85d17ddd16b1a77a17b08f36bfd0 inherit pub_types_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object.html">alexaClientSDK::bluetoothImplementations::blueZ::DBusObject&lt; PairingAgent &gt;</a></td></tr>
<tr class="memitem:a0e5f87b77466984cfb2b2951792abc91 inherit pro_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object.html#a0e5f87b77466984cfb2b2951792abc91">DBusObject</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_connection.html">DBusConnection</a> &gt; connection, std::string xmlInterfaceIntrospection, std::string objectPath, std::unordered_map&lt; std::string, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object.html#a68ab85d17ddd16b1a77a17b08f36bfd0">commandHandler_t</a> &gt; methodMap)</td></tr>
<tr class="separator:a0e5f87b77466984cfb2b2951792abc91 inherit pro_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base.html">alexaClientSDK::bluetoothImplementations::blueZ::DBusObjectBase</a></td></tr>
<tr class="memitem:acf9e51f64f87403ffe7e3d5dee03bc3c inherit pro_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base.html#acf9e51f64f87403ffe7e3d5dee03bc3c">DBusObjectBase</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_connection.html">DBusConnection</a> &gt; connection, const std::string &amp;xmlInterfaceIntrospection, const std::string &amp;objectPath, GDBusInterfaceMethodCallFunc methodCallFunc)</td></tr>
<tr class="separator:acf9e51f64f87403ffe7e3d5dee03bc3c inherit pro_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa596bdd3279584b522e6f45f2a5143fd inherit pro_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base.html#aa596bdd3279584b522e6f45f2a5143fd">onMethodCalledInternal</a> (const char *methodName)</td></tr>
<tr class="separator:aa596bdd3279584b522e6f45f2a5143fd inherit pro_methods_classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">A DBus object to handle pairing requests from BlueZ. This implementation by default automatically authorizes all pairing requests. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a58a2e2fda718f3419fcb35d231d6b09d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58a2e2fda718f3419fcb35d231d6b09d">&#9670;&nbsp;</a></span>~PairingAgent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::bluetoothImplementations::blueZ::PairingAgent::~PairingAgent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a4972af9f95b206e468bcf9c2c7c42686"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4972af9f95b206e468bcf9c2c7c42686">&#9670;&nbsp;</a></span>create()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static std::unique_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent.html">PairingAgent</a>&gt; alexaClientSDK::bluetoothImplementations::blueZ::PairingAgent::create </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_connection.html">DBusConnection</a> &gt;&#160;</td>
          <td class="paramname"><em>connection</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Creates an instance of the <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent.html">PairingAgent</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">connection</td><td>A <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_connection.html">DBusConnection</a> object. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An instance of the <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_pairing_agent.html">PairingAgent</a> if successful, else a nullptr. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/BluetoothImplementations/BlueZ/include/BlueZ/<a class="el" href="_pairing_agent_8h_source.html">PairingAgent.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
